/* MySQLLoginPanel.h created by dmorin on Thu 22-Jul-1999 */

#import <EOAccess/EOAccess.h>
#import <AppKit/AppKit.h>
#import "MySQLAdaptor.h"

@interface MySQLLoginPanel : EOLoginPanel
{
    id hostNameField;
    id portField;
    id userNameField;
    id passwordField;
    id databaseNameField;
   id useMySQLStoreButton;
    id versionField;
    id databaseBrowser;
    id databaseBrowserWindow;
    id browseButton;
    NSArray *databasesNameArray;

    MySQLAdaptor *adaptor;
/*
    NSTextField *hostNameField;
    NSTextField *portField;
    NSTextField *userNameField;
    NSTextField *passwordField;
    NSTextField *databaseNameField;
    NSButton *useMySQLStoreButton;
    NSTextField *versionField;
*/
}

- (NSDictionary *)runPanelForAdaptor:(EOAdaptor *)adaptor validate:(BOOL)yn;

// Private methods
- (void)cancel:sender;
- (void)login:sender;
- (void)browseDatabases:sender;
- (void)selectDatabase:sender;
- (void)databaseNameChanged:sender;

- (void)setConnectionDictionary:(NSDictionary *)connectionInfo;
- (NSDictionary *)connectionDictionary;

@end
