/*
 * This file is subject to the MiscKit license, see http://www.misckit.org/
 * and search around for details. The bottom line is: you may do what you please
 * with this code, but you're on your own if you run into trouble...
 * Copyright (C) 1999,2000,2001 dmorin,anjo@mac.com
 * Portions of this code derived from the FlatFileAdaptor (C) Apple Computer
 */

#import "MySQLChannel.h"

@interface MySQLChannel (ModelDescription)

- (NSArray *)describeTableNames;
- (EOModel *)describeModelWithTableNames:(NSArray *)names;
- (void)describeStoredProceduresForModel:(EOModel *)model;
- (void)describeEntity:(EOEntity *)entity;
+ (NSArray *)describeDatabaseNamesWithConnectionDictionary:(NSDictionary *)connectionDict;

@end
