/*
 * This file is subject to the MiscKit license, see http://www.misckit.org/
 * and search around for details. The bottom line is: you may do what you please
 * with this code, but you're on your own if you run into trouble...
 * Copyright (C) 1999,2000,2001 dmorin,anjo@mac.com
 * Portions of this code derived from the FlatFileAdaptor (C) Apple Computer
 */

#import <EOAccess/EOAccess.h>

@class MySQLAdaptor;
@class MySQLChannel;

@interface MySQLContext : EOAdaptorContext
{
    BOOL didAutoBegin;
}

- initWithMySQLAdaptor:(MySQLAdaptor *)adaptor;
- (void)dealloc;
- (EOAdaptorChannel *)createAdaptorChannel;
- (void)beginTransaction;
- (void)commitTransaction;
- (void)rollbackTransaction;
- (BOOL)canNestTransactions;

@end
